/****************************/
/* THIS IS OPEN SOURCE CODE */
/****************************/

/* 
* File:    map-core2.h
* CVS:     $Id$
* Author:  George Neville-Neil
*          gnn@freebsd.org
*/

#ifndef FreeBSD_MAP_CORE2EXTREME_EXTREME
#define FreeBSD_MAP_CORE2EXTREME_EXTREME

enum NativeEvent_Value_Core2ExtremeProcessor {
	PNE_CORE2EXTREME_BACLEARS = PAPI_NATIVE_MASK ,
	PNE_CORE2EXTREME_BOGUS_BR,
	PNE_CORE2EXTREME_BR_BAC_MISSP_EXEC,
	PNE_CORE2EXTREME_BR_CALL_MISSP_EXEC,
	PNE_CORE2EXTREME_BR_CALL_EXEC,
	PNE_CORE2EXTREME_BR_CND_EXEC,
	PNE_CORE2EXTREME_BR_CND_MISSP_EXEC,
	PNE_CORE2EXTREME_BR_IND_CALL_EXEC,
	PNE_CORE2EXTREME_BR_IND_EXEC,
	PNE_CORE2EXTREME_BR_IND_MISSP_EXEC,
	PNE_CORE2EXTREME_BR_INST_DECODED,
	PNE_CORE2EXTREME_BR_INST_EXEC,
	PNE_CORE2EXTREME_BR_INST_RETIRED_ANY,
	PNE_CORE2EXTREME_BR_INST_RETIRED_MISPRED,
	PNE_CORE2EXTREME_BR_INST_RETIRED_MISPRED_NOT_TAKEN,
	PNE_CORE2EXTREME_BR_INST_RETIRED_MISPRED_TAKEN,
	PNE_CORE2EXTREME_BR_INST_RETIRED_PRED_NOT_TAKEN,
	PNE_CORE2EXTREME_BR_INST_RETIRED_PRED_TAKEN,
	PNE_CORE2EXTREME_BR_INST_RETIRED_TAKEN,
	PNE_CORE2EXTREME_BR_MISSP_EXEC,
	PNE_CORE2EXTREME_BR_RET_MISSP_EXEC,
	PNE_CORE2EXTREME_BR_RET_BAC_MISSP_EXEC,
	PNE_CORE2EXTREME_BR_RET_EXEC,
	PNE_CORE2EXTREME_BR_TKN_BUBBLE_1,
	PNE_CORE2EXTREME_BR_TKN_BUBBLE_2,
	PNE_CORE2EXTREME_BUSQ_EMPTY,
	PNE_CORE2EXTREME_BUS_BNR_DRV,
	PNE_CORE2EXTREME_BUS_DATA_RCV,
	PNE_CORE2EXTREME_BUS_DRDY_CLOCKS,
	PNE_CORE2EXTREME_BUS_HIT_DRV,
	PNE_CORE2EXTREME_BUS_HITM_DRV,
	PNE_CORE2EXTREME_BUS_IO_WAIT,
	PNE_CORE2EXTREME_BUS_LOCK_CLOCKS,
	PNE_CORE2EXTREME_BUS_REQUEST_OUTSTANDING,
	PNE_CORE2EXTREME_BUS_TRANS_ANY,
	PNE_CORE2EXTREME_BUS_TRANS_BRD,
	PNE_CORE2EXTREME_BUS_TRANS_BURST,
	PNE_CORE2EXTREME_BUS_TRANS_DEF,
	PNE_CORE2EXTREME_BUS_TRANS_IFETCH,
	PNE_CORE2EXTREME_BUS_TRANS_INVAL,
	PNE_CORE2EXTREME_BUS_TRANS_IO,
	PNE_CORE2EXTREME_BUS_TRANS_MEM,
	PNE_CORE2EXTREME_BUS_TRANS_P,
	PNE_CORE2EXTREME_BUS_TRANS_PWR,
	PNE_CORE2EXTREME_BUS_TRANS_RFO,
	PNE_CORE2EXTREME_BUS_TRANS_WB,
	PNE_CORE2EXTREME_CMP_SNOOP,
	PNE_CORE2EXTREME_CPU_CLK_UNHALTED_BUS,
	PNE_CORE2EXTREME_CPU_CLK_UNHALTED_CORE_P,
	PNE_CORE2EXTREME_CPU_CLK_UNHALTED_NO_OTHER,
	PNE_CORE2EXTREME_CYCLES_DIV_BUSY,
	PNE_CORE2EXTREME_CYCLES_INT_MASKED,
	PNE_CORE2EXTREME_CYCLES_INT_PENDING_AND_MASKED,
	PNE_CORE2EXTREME_CYCLES_L1I_MEM_STALLED,
	PNE_CORE2EXTREME_DELAYED_BYPASS_FP,
	PNE_CORE2EXTREME_DELAYED_BYPASS_LOAD,
	PNE_CORE2EXTREME_DELAYED_BYPASS_SIMD,
	PNE_CORE2EXTREME_DIV,
	PNE_CORE2EXTREME_DTLB_MISSES_ANY,
	PNE_CORE2EXTREME_DTLB_MISSES_L0_MISS_LD,
	PNE_CORE2EXTREME_DTLB_MISSES_MISS_LD,
	PNE_CORE2EXTREME_DTLB_MISSES_MISS_ST,
	PNE_CORE2EXTREME_EIST_TRANS,
	PNE_CORE2EXTREME_ESP_ADDITIONS,
	PNE_CORE2EXTREME_ESP_SYNCH,
	PNE_CORE2EXTREME_EXT_SNOOP,
	PNE_CORE2EXTREME_FP_ASSIST,
	PNE_CORE2EXTREME_FP_COMP_OPS_EXE,
	PNE_CORE2EXTREME_FP_MMX_TRANS_TO_FP,
	PNE_CORE2EXTREME_FP_MMX_TRANS_TO_MMX,
	PNE_CORE2EXTREME_HW_INT_RCV,
	PNE_CORE2EXTREME_IDLE_DURING_DIV,
	PNE_CORE2EXTREME_ILD_STALL,
	PNE_CORE2EXTREME_INST_QUEUE_FULL,
	PNE_CORE2EXTREME_INST_RETIRED_ANY_P,
	PNE_CORE2EXTREME_INST_RETIRED_LOADS,
	PNE_CORE2EXTREME_INST_RETIRED_OTHER,
	PNE_CORE2EXTREME_INST_RETIRED_STORES,
	PNE_CORE2EXTREME_INST_RETIRED_VM_H,
	PNE_CORE2EXTREME_ITLB_FLUSH,
	PNE_CORE2EXTREME_ITLB_LARGE_MISS,
	PNE_CORE2EXTREME_ITLB_MISSES,
	PNE_CORE2EXTREME_ITLB_SMALL_MISS,
	PNE_CORE2EXTREME_ITLB_MISS_RETIRED,
	PNE_CORE2EXTREME_L1D_ALL_CACHE_REF,
	PNE_CORE2EXTREME_L1D_ALL_REF,
	PNE_CORE2EXTREME_L1D_CACHE_LD,
	PNE_CORE2EXTREME_L1D_CACHE_LOCK,
	PNE_CORE2EXTREME_L1D_CACHE_LOCK_DURATION,
	PNE_CORE2EXTREME_L1D_CACHE_ST,
	PNE_CORE2EXTREME_L1D_M_EVICT,
	PNE_CORE2EXTREME_L1D_M_REPL,
	PNE_CORE2EXTREME_L1D_PEND_MISS,
	PNE_CORE2EXTREME_L1D_PREFETCH_REQUESTS,
	PNE_CORE2EXTREME_L1D_REPL,
	PNE_CORE2EXTREME_L1D_SPLIT_LOADS,
	PNE_CORE2EXTREME_L1D_SPLIT_STORES,
	PNE_CORE2EXTREME_L1I_MISSES,
	PNE_CORE2EXTREME_L1I_READS,
	PNE_CORE2EXTREME_L2_ADS,
	PNE_CORE2EXTREME_L2_DBUS_BUSY_RD,
	PNE_CORE2EXTREME_L2_IFETCH,
	PNE_CORE2EXTREME_L2_LD,
	PNE_CORE2EXTREME_L2_LINES_IN,
	PNE_CORE2EXTREME_L2_LINES_OUT,
	PNE_CORE2EXTREME_L2_LOCK,
	PNE_CORE2EXTREME_L2_M_LINES_IN,
	PNE_CORE2EXTREME_L2_M_LINES_OUT,
	PNE_CORE2EXTREME_L2_NO_REQ,
	PNE_CORE2EXTREME_L2_REJECT_BUSQ,
	PNE_CORE2EXTREME_L2_RQSTS,
	PNE_CORE2EXTREME_L2_RQSTS_SELF_DEMAND_I_STATE,
	PNE_CORE2EXTREME_L2_RQSTS_SELF_DEMAND_MESI,
	PNE_CORE2EXTREME_L2_ST,
	PNE_CORE2EXTREME_LOAD_BLOCK_L1D,
	PNE_CORE2EXTREME_LOAD_BLOCK_OVERLAP_STORE,
	PNE_CORE2EXTREME_LOAD_BLOCK_STA,
	PNE_CORE2EXTREME_LOAD_BLOCK_STD,
	PNE_CORE2EXTREME_LOAD_BLOCK_UNTIL_RETIRE,
	PNE_CORE2EXTREME_LOAD_HIT_PRE,
	PNE_CORE2EXTREME_MACHINE_NUKES_MEM_ORDER,
	PNE_CORE2EXTREME_MACHINE_NUKES_SMC,
	PNE_CORE2EXTREME_MACRO_INSTS_CISC_DECODED,
	PNE_CORE2EXTREME_MACRO_INSTS_DECODED,
	PNE_CORE2EXTREME_MEMORY_DISAMBIGUATION_RESET,
	PNE_CORE2EXTREME_MEMORY_DISAMBIGUATION_SUCCESS,
	PNE_CORE2EXTREME_MEM_LOAD_RETIRED_DTLB_MISS,
	PNE_CORE2EXTREME_MEM_LOAD_RETIRED_L1D_LINE_MISS,
	PNE_CORE2EXTREME_MEM_LOAD_RETIRED_L1D_MISS,
	PNE_CORE2EXTREME_MEM_LOAD_RETIRED_L2_LINE_MISS,
	PNE_CORE2EXTREME_MEM_LOAD_RETIRED_L2_MISS,
	PNE_CORE2EXTREME_MUL,
	PNE_CORE2EXTREME_PAGE_WALKS_COUNT,
	PNE_CORE2EXTREME_PAGE_WALKS_CYCLES,
	PNE_CORE2EXTREME_PREF_RQSTS_DN,
	PNE_CORE2EXTREME_PREF_RQSTS_UP,
	PNE_CORE2EXTREME_RAT_STALLS_ANY,
	PNE_CORE2EXTREME_RAT_STALLS_FLAGS,
	PNE_CORE2EXTREME_RAT_STALLS_FPSW,
	PNE_CORE2EXTREME_RAT_STALLS_OTHER_SERIALIZATION_STALLS,
	PNE_CORE2EXTREME_RAT_STALLS_PARTIAL_CYCLES,
	PNE_CORE2EXTREME_RAT_STALLS_ROB_READ_PORT,
	PNE_CORE2EXTREME_RESOURCE_STALLS_ANY,
	PNE_CORE2EXTREME_RESOURCE_STALLS_BR_MISS_CLEAR,
	PNE_CORE2EXTREME_RESOURCE_STALLS_FPCW,
	PNE_CORE2EXTREME_RESOURCE_STALLS_LD_ST,
	PNE_CORE2EXTREME_RESOURCE_STALLS_ROB_FULL,
	PNE_CORE2EXTREME_RESOURCE_STALLS_RS_FULL,
	PNE_CORE2EXTREME_RS_UOPS_DISPATCHED,
	PNE_CORE2EXTREME_RS_UOPS_DISPATCHED_PORT0,
	PNE_CORE2EXTREME_RS_UOPS_DISPATCHED_PORT1,
	PNE_CORE2EXTREME_RS_UOPS_DISPATCHED_PORT2,
	PNE_CORE2EXTREME_RS_UOPS_DISPATCHED_PORT3,
	PNE_CORE2EXTREME_RS_UOPS_DISPATCHED_PORT4,
	PNE_CORE2EXTREME_RS_UOPS_DISPATCHED_PORT5,
	PNE_CORE2EXTREME_SB_DRAIN_CYCLES,
	PNE_CORE2EXTREME_SEGMENT_REG_LOADS,
	PNE_CORE2EXTREME_SEG_REG_RENAMES_ANY,
	PNE_CORE2EXTREME_SEG_REG_RENAMES_DS,
	PNE_CORE2EXTREME_SEG_REG_RENAMES_ES,
	PNE_CORE2EXTREME_SEG_REG_RENAMES_FS,
	PNE_CORE2EXTREME_SEG_REG_RENAMES_GS,
	PNE_CORE2EXTREME_SEG_RENAME_STALLS_ANY,
	PNE_CORE2EXTREME_SEG_RENAME_STALLS_DS,
	PNE_CORE2EXTREME_SEG_RENAME_STALLS_ES,
	PNE_CORE2EXTREME_SEG_RENAME_STALLS_FS,
	PNE_CORE2EXTREME_SEG_RENAME_STALLS_GS,
	PNE_CORE2EXTREME_SIMD_ASSIST,
	PNE_CORE2EXTREME_SIMD_COMP_INST_RETIRED_PACKED_DOUBLE,
	PNE_CORE2EXTREME_SIMD_COMP_INST_RETIRED_PACKED_SINGLE,
	PNE_CORE2EXTREME_SIMD_COMP_INST_RETIRED_SCALAR_DOUBLE,
	PNE_CORE2EXTREME_SIMD_COMP_INST_RETIRED_SCALAR_SINGLE,
	PNE_CORE2EXTREME_SIMD_INSTR_RETIRED,
	PNE_CORE2EXTREME_SIMD_INST_RETIRED_ANY,
	PNE_CORE2EXTREME_SIMD_INST_RETIRED_PACKED_DOUBLE,
	PNE_CORE2EXTREME_SIMD_INST_RETIRED_PACKED_SINGLE,
	PNE_CORE2EXTREME_SIMD_INST_RETIRED_SCALAR_DOUBLE,
	PNE_CORE2EXTREME_SIMD_INST_RETIRED_SCALAR_SINGLE,
	PNE_CORE2EXTREME_SIMD_INST_RETIRED_VECTOR,
	PNE_CORE2EXTREME_SIMD_SAT_INSTR_RETIRED,
	PNE_CORE2EXTREME_SIMD_SAT_UOP_EXEC,
	PNE_CORE2EXTREME_SIMD_UOPS_EXEC,
	PNE_CORE2EXTREME_SIMD_UOP_TYPE_EXEC_ARITHMETIC,
	PNE_CORE2EXTREME_SIMD_UOP_TYPE_EXEC_LOGICAL,
	PNE_CORE2EXTREME_SIMD_UOP_TYPE_EXEC_MUL,
	PNE_CORE2EXTREME_SIMD_UOP_TYPE_EXEC_PACK,
	PNE_CORE2EXTREME_SIMD_UOP_TYPE_EXEC_SHIFT,
	PNE_CORE2EXTREME_SIMD_UOP_TYPE_EXEC_UNPACK,
	PNE_CORE2EXTREME_SNOOP_STALL_DRV,
	PNE_CORE2EXTREME_SSE_PRE_EXEC_L1,
	PNE_CORE2EXTREME_SSE_PRE_EXEC_L2,
	PNE_CORE2EXTREME_SSE_PRE_EXEC_NTA,
	PNE_CORE2EXTREME_SSE_PRE_EXEC_STORES,
	PNE_CORE2EXTREME_SSE_PRE_MISS_L1,
	PNE_CORE2EXTREME_SSE_PRE_MISS_L2,
	PNE_CORE2EXTREME_SSE_PRE_MISS_NTA,
	PNE_CORE2EXTREME_STORE_BLOCK_ORDER,
	PNE_CORE2EXTREME_STORE_BLOCK_SNOOP,
	PNE_CORE2EXTREME_THERMAL_TRIP,
	PNE_CORE2EXTREME_UOPS_RETIRED_ANY,
	PNE_CORE2EXTREME_UOPS_RETIRED_FUSED,
	PNE_CORE2EXTREME_UOPS_RETIRED_LD_IND_BR,
	PNE_CORE2EXTREME_UOPS_RETIRED_MACRO_FUSION,
	PNE_CORE2EXTREME_UOPS_RETIRED_NON_FUSED,
	PNE_CORE2EXTREME_UOPS_RETIRED_STD_STA,
	PNE_CORE2EXTREME_X87_OPS_RETIRED_ANY,
	PNE_CORE2EXTREME_X87_OPS_RETIRED_FXCH,
	PNE_CORE2EXTREME_NATNAME_GUARD
};

extern Native_Event_LabelDescription_t Core2ExtremeProcessor_info[];
extern hwi_search_t Core2ExtremeProcessor_map[];

#endif
